<div id="employeeRole">
    <div class="container">
        <div class="columns">
            <div class="column col-6 col-sm-12 col-xs-12">
                <span class="h5">Payslip</span>
            </div>
            <div class="column col-6 col-sm-12 col-xs-12">
                <div class="columns">
                    <div class="column package-section top-actions">
                        <span class="payslip-action">
                            <img src="../images/icons/download_blue_bg.svg" alt="Download icon" class=""/> 
                            <span>Download</span> 
                        </span>
                        <span class="payslip-action">
                            <img src="../images/icons/share_blue_bg.svg" alt="Share icon" class=""/>
                            <span>Share</span>
                        </span>
                        <span class="payslip-action">
                            <img src="../images/icons/print_blue_bg.svg" alt="Download icon" class=""/>
                            <span>Print</span>
                        </span>
                    </div>
                </div>
            </div>
        </div>

        <div class="columns space">
            <div class="column col-6">
                <div>
                    <span>Current Year:</span>
                    <select v-model="year" v-on:change="getPayroll" class="payYear" value="2019">
                        <option value="2019" selected>2019</option>
                        <option value="2018">2018</option>
                        <option value="2017">2017</option>
                    </select>
                </div>
                <div>Employee ID: <%= @user %></div>
            </div>
        </div>

        <div class="columns">
            <div class="column col-6">
                <%# <data-tables-server  :data="payrolls" :total="total" @query-change="fetchData" :pagination-props="pagination"  :table-props="tableProps"  :layout="layout" >
                    <el-table-column type="selection" width="55">
                    </el-table-column>
                    <el-table-column label="Date" sortable="custom">
                        <template slot-scope="scope">
                        <span v-for="button in tableListner(scope.row)" :key= "scope.row.date" type="text" class="td_text"
                            @click="button.handler">
                            {{ scope.row.date }}
                        </span>
                        </template>
                    </el-table-column>
                    <el-table-column label="Earnings">
                        <template slot-scope="scope">
                        <span>{{ formatNumber(scope.row.earnings) }}</span>
                        </template>
                    </el-table-column>
                    <el-table-column label="Deductions" sortable="custom">
                        <template slot-scope="scope">
                        <span>{{ formatNumber(scope.row.deductions, true) }}</span>
                        </template>
                    </el-table-column>
                    <el-table-column label="Net Pay">
                        <template slot-scope="scope">
                        <span>{{ formatNumber(scope.row.net_pay) }}</span>
                        </template>
                    </el-table-column>
                </data-tables-server> %>

                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Earnings</th>
                            <th>Deductions</th>
                            <th>Net Pay</th>
                        </tr>
                    </thead>
                    <tbody v-if="payDefault">
                        <tr v-for="payroll in payrolls" :key="payroll.payrun_id">
                            <td><a style="text-decoration:none">{{ payroll.date }}</a></td>
                            <td>{{ payroll.earnings }}</td>
                            <td>{{ payroll.deductions }}</td>
                            <td>{{ payroll.net_pay }}</td>
                        </tr>
                    </tbody>
                    <tbody v-if="payPrevious">
                        <tr v-for="payroll in yearPayrolls" :key="payroll.payrun_id">
                            <td><a style="text-decoration:none">{{ payroll.date }}</a></td>
                            <td>{{ payroll.earnings }}</td>
                            <td>{{ payroll.deductions }}</td>
                            <td>{{ payroll.net_pay }}</td>
                        </tr>
                    </tbody>
                </table>


            </div>

        </div>

        <Payslip @close="closePayslip" v-if='display_payslip' :payslip_data=payslip_data :display_payslip=display_payslip></Payslip>
    </div>
</div>
